Last Comment Bug 1324173 - Section titles should not have a colon at the end
: Section titles should not have a colon at the end
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: Firefox 53
Assigned To: Jalen Adams
:
: Jared Wein [:jaws] (please needinfo? me)
Mentors:
Depends on:
Blocks: 1324168
  Show dependency treegraph
 
Reported: 2016-12-16 22:02 PST by Jared Wein [:jaws] (please needinfo? me)
Modified: 2016-12-22 07:39 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1324173 - Remove colon from end of section titles. (58 bytes, text/x-review-board-request)
2016-12-20 16:37 PST, Jalen Adams
jaws: review+
Details | Review

Description User image Jared Wein [:jaws] (please needinfo? me) 2016-12-16 22:02:10 PST
See slides 27 and 28 of https://bugzilla.mozilla.org/attachment.cgi?id=8819509
Comment 1 User image Jared Wein [:jaws] (please needinfo? me) 2016-12-18 13:43:45 PST
Hey Jalen, would you like to work on this bug next? See the Updates section on the Advanced page of the Preferences. The section titles shouldn't have colons at the end.

You can read https://developer.mozilla.org/en-US/docs/Mozilla/Localization/Localization_content_best_practices#Changing_existing_strings and other parts of that page to learn more about how localization (user-facing strings) are used in Firefox.

Since the meaning of the strings aren't changing (just removing the colon), I don't think we need to update the entity's key. Flod, can you confirm?
Comment 2 User image Francesco Lodolo [:flod] 2016-12-18 22:35:03 PST
(In reply to Jared Wein [:jaws] (please needinfo? me) from comment #1)
> Since the meaning of the strings aren't changing (just removing the colon),
> I don't think we need to update the entity's key. Flod, can you confirm?

In this case I would use a new string ID, mostly to make sure all locales notice the change, and adopt the same consistency en-US is trying to get.

Talking about those slides, I would point out that I don't see a "DRM content" on OS X, but I see a "Automatically update:" with a colon.
Comment 3 User image Jalen Adams 2016-12-19 09:40:14 PST
(In reply to Jared Wein [:jaws] (please needinfo? me) from comment #1)
> Hey Jalen, would you like to work on this bug next? See the Updates section
> on the Advanced page of the Preferences. The section titles shouldn't have
> colons at the end.
> 
> You can read
> https://developer.mozilla.org/en-US/docs/Mozilla/Localization/
> Localization_content_best_practices#Changing_existing_strings and other
> parts of that page to learn more about how localization (user-facing
> strings) are used in Firefox.
> 
> Since the meaning of the strings aren't changing (just removing the colon),
> I don't think we need to update the entity's key. Flod, can you confirm?

Sure. I'll get on this as soon as I can.
Comment 4 User image Jalen Adams 2016-12-20 16:37:07 PST Comment hidden (mozreview-request)
Comment 5 User image Jared Wein [:jaws] (please needinfo? me) 2016-12-21 08:33:00 PST
Comment on attachment 8820471 [details]
Bug 1324173 - Remove colon from end of section titles.

https://reviewboard.mozilla.org/r/99972/#review100686

Looks good, thanks!
Comment 6 User image Pulsebot 2016-12-21 08:33:49 PST
Pushed by jwein@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/149dc8ed363f
Remove colon from end of section titles. r=jaws
Comment 7 User image Carsten Book [:Tomcat] 2016-12-22 07:39:59 PST
https://hg.mozilla.org/mozilla-central/rev/149dc8ed363f

Note You need to log in before you can comment on or make changes to this bug.